PowerPoint7GraphInternal::FrameGroup Struct Referencefinal

Internal: a group of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::FrameGroup:

## Public Member Functions

| FrameGroup ()
| constructor
| ~FrameGroup () final
| destructor
void | getTextZoneList (std::vector< int > &textIdList) const final
| try to update the list of text sub zone
Public Member Functions inherited from PowerPoint7GraphInternal::Frame
| Frame (Type type=Unknown)
| constructor
virtual | ~Frame ()
| destructor

## Public Attributes

std::vector< std::shared_ptr< Frame > > | m_child
| the child
Public Attributes inherited from PowerPoint7GraphInternal::Frame
enum Type | m_type
| the type:
int | m_subType
| the sub type
MWAWBox2i | m_dimension
| the dimension
float | m_rotation
| the rotation
bool | m_flip [2]
| the flip flags: horizontal and vertical
MWAWGraphicStyle | m_style
| the style
int | m_pictureId
| the picture id(if positif)
int | m_textId
| the text id(if positif)
bool | m_isBackground
| a flag to know if this is the slide's background
bool | m_isSent
| flag to know if a frame is sent

## Additional Inherited Members

Public Types inherited from PowerPoint7GraphInternal::Frame
enum | Type { Arc , Line , Group , Placeholder , Polygon , Rect , Unknown }
| the frame type More...

## Detailed Description

Internal: a group of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## FrameGroup()

PowerPoint7GraphInternal::FrameGroup::FrameGroup | ( |  | ) |

inline

constructor

## ~FrameGroup()

PowerPoint7GraphInternal::FrameGroup::~FrameGroup | ( |  | ) |

final

destructor

## Member Function Documentation

## getTextZoneList()

void PowerPoint7GraphInternal::FrameGroup::getTextZoneList | ( | std::vector< int > & | textIdList | ) | const

inline final virtual

try to update the list of text sub zone

Reimplemented from PowerPoint7GraphInternal::Frame.

Referenced by getTextZoneList().

## Member Data Documentation

## m_child

std::vector<std::shared_ptr<Frame> > PowerPoint7GraphInternal::FrameGroup::m_child

the child

Referenced by FrameGroup(), and getTextZoneList().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx